# DolphinDB GUI

## Prerequisites

Before you install and use DolphinDB, you must read and agree to the included license agreements: *DolphinDB_Evaluation_License_Agreement.pdf* and *GUI_THIRD_PARTY_SOFTWARE_LICENSE.txt*. 

- Install 64-bit Java version

Java Runtime Environment (JRE) 8 or above is required to run the GUI. You can download [JRE 8](https://www.oracle.com/java/technologies/downloads/) and install 64-bit Java version.

Use command `java -version` to check the version. Below is an example of a compatible version:

```
> java -version
java version "1.8.0_121"
Java(TM) SE Runtime Environment (build 1.8.0_121-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.121-b13, mixed mode)
```

The GUI cannot start properly if the following information is shown:

```
Java HotSpot(TM) Client VM
```

- Add Java to your system path

## Download and Launch

1. Download the [DolphinDB GUI](https://dolphindb.com/product#downloads). 

2. Unzip to a local folder. 

3. Start a DolphinDB server first, then launch the GUI from the local folder.

    The GUI is a graphical interface program, make sure

    - Windows: Double click gui.bat;

    - Linux: Execute the following command:

    ```
    chmod +x gui.sh    //grant the GUI executable permission
    sh gui.sh
    ```

    - macOS: Go to the gui.sh directory and execute the following command:

    ```
    chmod +x gui.sh    //grant the GUI executable permission
    ./gui.sh
    ```

4. Specify a folder for the workspace. 

You can refer to the online [GUI manual](https://docs.dolphindb.cn/en/gui_help/gui/index.html) for detailed instructions.

**Note**: If the GUI fails to start, you can access the Windows command prompt, navigate to the GUI directory, and enter "GUI.bat" to check for exceptions. This issue occurs due to either the absence of Java Runtime Environment (JRE) or an incompatible Java version. After installing the correct JRE (8.0 or higher), you should be able to launch DolphinDB GUI.